<?php
require('../fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;


function WriteHTML($html)
{
        //HTML parser
        $html=str_replace("\n",' ',$html);
        $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
                if($i%2==0)
                {
                        //Text
                        if($this->HREF)
                                $this->PutLink($this->HREF,$e);
                        else
                                $this->Write(5,$e);
//                              $this->Cell(180,5,$e,1,2,'J');
                }
                else
                {
                        //Tag
                        if($e{0}=='/')
                                $this->CloseTag(strtoupper(substr($e,1)));
                        else
                        {
                                //Extract attributes
                                $a2=explode(' ',$e);
                                $tag=strtoupper(array_shift($a2));
                                $attr=array();
                                foreach($a2 as $v)
                                        if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                                                $attr[strtoupper($a3[1])]=$a3[2];
                                $this->OpenTag($tag,$attr);
                        }
                }
        }
}

function OpenTag($tag,$attr)
{
        //Opening tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,true);
        if($tag=='A')
                $this->HREF=$attr['HREF'];
        if($tag=='BR')
                $this->Ln(5);
}

function CloseTag($tag)
{
        //Closing tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,false);
        if($tag=='A')
                $this->HREF='';
}

function SetStyle($tag,$enable)
{
        //Modify style and select corresponding font
        $this->$tag+=($enable ? 1 : -1);
        $style='';
        foreach(array('B','I','U') as $s)
                if($this->$s>0)
                        $style.=$s;
        $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
        //Put a hyperlink
        $this->SetTextColor(0,0,255);
        $this->SetStyle('U',true);
        $this->Write(5,$txt,$URL);
        $this->SetStyle('U',false);
        $this->SetTextColor(0);
}
//Page header
function Header2($texto)
{
        //Logo
        $this->Image('../logo_colegio.png',10,8,20);
        $this->Image('../logo_colegio2.png',180,8,18);
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        $this->Cell(80);
        //Title
        $this->Cell(30,10,$texto,0,0,'C');
        //Line break
        $this->Ln(20);
}

//Page footer
function Footer()
{
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
//        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}

include("../fnc.php");
$qinfo=mysql_query("select preinscripciones.*, grados.grado as ngrado, niveles.nivel as nnivel, grados.uniformeh, grados.uniformem
                    from preinscripciones inner join grados on preinscripciones.grado = grados.id
                    inner join niveles on grados.nivel = niveles.id
                    where preinscripciones.id = $idp");
                    echo mysql_error();
//exit();
$info=mysql_fetch_array($qinfo);

//$texto.=$pdf->SetStyle('B',true)."$nombre_alumno".$pdf->SetStyle('B',false);
//Instanciation of inherited class
$pdf=new PDF('P','mm','Legal');
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->Header2("Contrato de Servicios Educativos");
$pdf->SetFont('Times','',12);
//for($i=1;$i<=40;$i++)
//        $pdf->Cell(0,5,'Printing line number Printing line number Printing line number Printing line number Printing line number Printing line number Printing line number Printing line number '.$i,1,1);
$texto="Los abajo suscritos acordamos celebrar el siguiente contrato de servicios educativos
privados para el ciclo escolar 2007, entre la Licenciada Carmen Monterroso de Pardo quien se identifica con el No. De cedula A-1 206499 extendida en Guatemala, en su calidad de Directora del Instituto Particular Mixto Coactemalan,
Y <B>{$info[enc_nombre]}</B> con cédula de vencidad No. <b>{$info[enc_cedula]}</b> extendida en <b>{$info[enc_cedulaextendidaen]}</b>
con teléfono <b>{$info[enc_telefono]}</b> y con dirección particular en <b>{$info[enc_direccion]}</b>
en su calidad de representante del alumno(a) <b>{$info[nombre]}, {$info[apellido]}</b> quien cursará <b>{$info[ngrado]} {$info[nnivel]}</b>.<br><br>
1. Se compromete a cancelar el total anual de los siguientes servicios:";

$pdf->WriteHTML($texto);
//$pdf->MultiCell(0,5,$pdf->WriteHTML($texto),1,'J');
$pdf->Ln();
$pdf->Cell(116,5,"       Total anual por servicios educativos");
$pdf->Cell(60,5,"Q4,200.00",0,1,'R');
$pdf->Cell(116,5,"       ");
$pdf->Cell(60,5,"-------------",0,1,'R');
$pdf->SetStyle("B",true);
$pdf->Cell(116,5,"       Total a pagar en el momento de la inscripción");
$pdf->Cell(60,5,"Q400.00",0,1,'R');
$pdf->SetStyle("B",false);

//$pdf->Write(5,"       Total a cancelar en el momento de la inscripción                      Q400.00");

$pdf->Ln();
$pdf->Cell(116,5,"       Total anual por servicios educativos");
$pdf->Cell(60,5,"Q4,200.00",0,1,'R');
$pdf->Cell(116,5,"       Transporte terrestre");
$pdf->Cell(60,5,"Q2,250.00",0,1,'R');
$pdf->Cell(116,5,"       Investigaciones de campo");
$pdf->Cell(60,5,"Q4,500.00",0,1,'R');
$pdf->Cell(116,5,"       ");
$pdf->Cell(60,5,"-------------",0,1,'R');
$pdf->SetStyle("B",true);
$pdf->Cell(116,5,"       Total a cancelar");
$pdf->Cell(60,5,"Q11,250.00",0,1,'R');
$pdf->SetStyle("B",false);
$pdf->Ln();
$pdf->SetStyle("B",true);


$planes=Array();
$cuotas=Array();
$planes[0]="       Plan 4-1 Básico - Pago de Servicios Educativos";
$planes[1]="       Plan 4-2 Tradicional - Pago de Servicios Educativos + Transporte Terrestre";
$planes[2]="       Plan 4-3 Integrado - Pago de Servicios Educativos + Transporte Terrestre + Investigaciones de campo";
$cuotas[0]="Q420.00";
$cuotas[1]="Q675.00";
$cuotas[2]="Q1,125.00";

$tmp=explode("-",$planes[$plan]);
$nombre_plan=ltrim($tmp[0])."-".chop($tmp[1]);

$pdf->Cell(116,5,"PLANES DE PAGO (Créditos)",0,0,'C');
$pdf->Cell(60,5,"MENSUAL",0,1,'R');
$pdf->SetStyle("B",false);
$pdf->SetFont('Times','',10);
for($i=0;$i<count($planes);$i++){
 $pdf->Cell(116,5,$planes[$i]);
 $pdf->Cell(60,5,$cuotas[$i],0,1,'R');
}
$pdf->Ln();
$pdf->SetFont('Times','',12);
$pdf->WriteHTML("El encargado y/o padre de familia elige el <b>$nombre_plan</b> que consta de 10 pagos mensuales de <b>{$cuotas[$plan]}</b> de enero a octubre, que hará efectivo los primeros 8 días de cada mes.");
$pdf->WriteHTML(" Dicha cuota incluye lo siguiente: <b>{$tmp[2]}</b>.");
$pdf->Ln();
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("2. Los pagos deben realizarse en el Banco Industrial. Para lo cual se les proporciona las boletas en su respectivo talonario. Estamos suscritos a ServiPagos en caso usted tiene su cuenta en dicho banco."),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("3. Toda inscripción y plan de pago seleccionado es definitivo."),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("4. Como norma de crédito, sus cuotas deberá pagarlas puntualmente y en los <b>primeros 8 días del mes</b>, para evitar requerimientos de cobro por las molestias que ocasiona. "),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("5. Al retirarse el alumno dentro de los meses de enero a junio, deberá cancelar hasta el 50% del total. Si el alumno se retira después de Junio, se deberá cancelar el total de la colegiatura anual."),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("6. En el pleno uso de sus facultades y voluntad propia el encargado y/o padre de familia y el estudiante tienen conocimiento, aceptan y firman de conformidad los reglamentos internos que rigen las actividades del establecimiento. Haciendo constar que hemos recibido la información previamente de la que estoy plenamente enterado según folleto de información general proporcionado el día del examen de admisión."),0,'R');
$pdf->Ln(20);
$pdf->Cell(60,5,"__________________________",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"__________________________",0,1,'L');
$pdf->Cell(60,5,"(f) Padre / Madre o Encargado",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"(f) Alumno",0,1,'C');
$pdf->Ln(30);
$pdf->Cell(60,5,"__________________________",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"__________________________",0,1,'L');
$pdf->Cell(60,5,"(f) Depto. de Cómputo",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"(f) Licda. Carmen de Prado",0,1,'C');
// fin primera página


// SEGUNDA PÁGINA
$pdf->AddPage();
$pdf->Header2("Complemento del Contrato de Servicios Educativos");
$pdf->SetFont('Times','',12);
//for($i=1;$i<=40;$i++)
//        $pdf->Cell(0,5,'Printing line number Printing line number Printing line number Printing line number Printing line number Printing line number Printing line number Printing line number '.$i,1,1);
$texto="Los abajo suscritos acordamos celebrar el siguiente contrato de servicios educativos
privados para el ciclo escolar 2007, entre la Licenciada Carmen Monterroso de Pardo quien se identifica con el No. De cedula A-1 206499 extendida en Guatemala, en su calidad de Directora del Instituto Particular Mixto Coactemalan,
Y <B>{$info[enc_nombre]}</B> con cédula de vencidad No. <b>{$info[enc_cedula]}</b> extendida en <b>{$info[enc_cedulaextendidaen]}</b>
con teléfono <b>{$info[enc_telefono]}</b> y con dirección particular en <b>{$info[enc_direccion]}</b>
en su calidad de representante del alumno(a) <b>{$info[nombre]}, {$info[apellido]}</b> quien cursará <b>{$info[ngrado]} {$info[nnivel]}</b>.<br><br>
1. Se compromete a cancelar el total anual de los siguientes servicios:";

$pdf->WriteHTML($texto);
//$pdf->MultiCell(0,5,$pdf->WriteHTML($texto),1,'J');
$pdf->Ln(10);

$planes=Array();
$cuotas=Array();
$qcargos=mysql_query("select * from cp_cargosgenerales where contrato='S'");
while($icargo=mysql_fetch_array($qcargos)){
 $planes[]="       ".$icargo[descripcion];
 $cuotas[]=$icargo[valor];
}

$planes[]="       "."Uniformes de gala, diario y de investigación de campo";

if($info[sexo]=="M"){$cuotas[]=$info[uniformeh];}
if($info[sexo]=="F"){$cuotas[]=$info[uniformem];}

$tmp=explode("-",$planes[$plan]);
$nombre_plan=ltrim($tmp[0])."-".chop($tmp[1]);

//$pdf->Cell(116,5,"PLANES DE PAGO (Créditos)",0,0,'C');
//$pdf->Cell(60,5,"MENSUAL",0,1,'R');
//$pdf->SetStyle("B",false);
$pdf->SetFont('Times','',10);

$totalc=0.00;
for($i=0;$i<count($planes);$i++){
 $pdf->Cell(116,5,$planes[$i]);
 $pdf->Cell(60,5,moneda($cuotas[$i],"Q"),0,1,'R');
 $totalc+=strval(str_replace("Q","",$cuotas[$i]));
}
$pdf->Cell(116,5,"       "."");
$pdf->Cell(60,5,"-------------",0,1,'R');

$pdf->SetStyle("B",true);
$pdf->Cell(116,5,"       "."Total a cancelar en el momento de inscripción");
$pdf->Cell(60,5,moneda($totalc,"Q"),0,1,'R');
$pdf->SetStyle("B",false);

$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('Times','',12);
$pdf->MultiCell(185,5,$pdf->WriteHTML("2. Los pagos deben realizarse en el Banco Industrial. Para lo cual se les proporciona las boletas en su respectivo talonario. Estamos suscritos a ServiPagos en caso usted tiene su cuenta en dicho banco."),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("3. Toda inscripción y plan de pago seleccionado es definitivo."),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("4. Como norma de crédito, sus cuotas deberá pagarlas puntualmente y en los <b>primeros 8 días del mes</b>, para evitar requerimientos de cobro por las molestias que ocasiona. "),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("5. Al retirarse el alumno dentro de los meses de enero a junio, deberá cancelar hasta el 50% del total. Si el alumno se retira después de Junio, se deberá cancelar el total de la colegiatura anual."),0,'J');
$pdf->Ln();
$pdf->MultiCell(185,5,$pdf->WriteHTML("6. En el pleno uso de sus facultades y voluntad propia el encargado y/o padre de familia y el estudiante tienen conocimiento, aceptan y firman de conformidad los reglamentos internos que rigen las actividades del establecimiento. Haciendo constar que hemos recibido la información previamente de la que estoy plenamente enterado según folleto de información general proporcionado el día del examen de admisión."),0,'R');
$pdf->Ln(20);
$pdf->Cell(60,5,"__________________________",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"__________________________",0,1,'L');
$pdf->Cell(60,5,"(f) Padre / Madre o Encargado",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"(f) Alumno",0,1,'C');
$pdf->Ln(30);
$pdf->Cell(60,5,"__________________________",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"__________________________",0,1,'L');
$pdf->Cell(60,5,"(f) Depto. de Cómputo",0,0,'C');
$pdf->Cell(70,5," ",0,0,'L');
$pdf->Cell(60,5,"(f) Licda. Carmen de Prado",0,1,'C');
// fin de la segunda página

// DATOS GENERALES
// SEGUNDA PÁGINA
$tmpedad = explode(".",round((strtotime("$fecha") - strtotime($info[fecha_nacimiento])) / (60 * 60 * 24)/364,1));
$edad=$tmpedad[0];

$qmn=mysql_query("select municipio from municipios where id = {$info[dmunicipio]}");
$infom=mysql_fetch_array($qmn);
$qdp=mysql_query("select departamento from departamentos where id = {$info[ddepto]}");
$infod=mysql_fetch_array($qdp);
$pdf->AddPage();
$pdf->Header2("Datos Generales del Alumno");
$pdf->SetFont('Times','',12);
$pdf->Ln(5);
$pdf->Cell(60,5,$pdf->Write(5,"Carnet: ").$pdf->SetStyle("B",true).$pdf->Write(5,"$carnet").$pdf->SetStyle("B",false),0,1,'L');
$pdf->Cell(60,5,$pdf->Write(5,"Grado y Carrera a cursar: ").$pdf->SetStyle("B",true).$pdf->Write(5,$info[ngrado]." ".$info[nnivel]).$pdf->SetStyle("B",false),0,1,'L');
$pdf->Ln(5);
$pdf->Cell(180,5,"Información General del Alumno",1,1,'C');
$pdf->Cell(40,5,"Nombres y Apellidos:",0,0,'L');
$pdf->Cell(80,5,$info[nombre]." ".$info[apellido],0,1,'L');
$pdf->Cell(40,5,"Dirección del Alumno:",0,0,'L');
$pdf->Cell(80,5,$info[dcalle_avenida]." ".$info[dnumero_casa].", Zona ".$info[dzona].", ".$info[dcolonia].", ".$infom[municipio].", ".pmayuscula($infod[departamento]),0,1,'L');
$pdf->Cell(40,5,"Teléfono de casa:",0,0,'L');
$pdf->Cell(40,5,$info[tel_casa],0,0,'L');
$pdf->Cell(40,5,"Teléfono móvil:",0,0,'L');
$pdf->Cell(40,5,$info[tel_movil],0,1,'L');
$pdf->Cell(40,5,"Fecha de nacimiento:",0,0,'L');
$pdf->Cell(40,5,fecha($info[fecha_nacimiento]),0,0,'L');
$pdf->Cell(40,5,"Lugar de nacimiento:",0,0,'L');
$pdf->SetTextColor(1,0,255);
$pdf->Cell(30,5,$info[lugar_nacimiento],0,1,'L');
$pdf->SetTextColor();
$pdf->Cell(40,5,"Edad:",0,0,'L');
$pdf->SetTextColor(1,0,255);
$pdf->Cell(40,5,$edad." años",0,0,'L');
$pdf->SetTextColor();
$pdf->Cell(40,5,"Sexo:",0,0,'L');
$pdf->Cell(40,5,sexo($info[sexo]),0,1,'L');
$pdf->Cell(40,5,"Religión:",0,0,'L');
$pdf->Cell(40,5,$info[religion],0,0,'L');
$pdf->Cell(40,5,"Mail:",0,0,'L');
$pdf->Cell(40,5,$info[mail],0,1,'L');
$pdf->Ln();

$pdf->Cell(180,5,"Información General de los Padres",1,1,'C');
$pdf->Cell(40,5,"Nombre del padre:",0,0,'L');
$pdf->Cell(0,5,$info[padre_nombre],0,1,'L');
$pdf->Cell(40,5,"Dirección:",0,0,'L');
$pdf->Cell(0,5,$info[padre_direccion],0,1,'L');
$pdf->Cell(40,5,"Teléfono de casa:",0,0,'L');
$pdf->Cell(40,5,$info[padre_telefono],0,0,'L');
$pdf->Cell(40,5,"Teléfono móvil:",0,0,'L');
$pdf->Cell(40,5,$info[padre_telefonom],0,1,'L');
$pdf->Cell(40,5,"Lugar de trabajo:",0,0,'L');
$pdf->Cell(40,5,$info[padre_lugartrabajo],0,1,'L');
$pdf->Cell(40,5,"Teléfono:",0,0,'L');
$pdf->Cell(40,5,$info[padre_teltrabajo],0,0,'L');
$pdf->Cell(40,5,"Mail:",0,0,'L');
$pdf->Cell(40,5,$info[padre_mail],0,1,'L');
$pdf->Ln();

$pdf->Cell(40,5,"Nombre de la madre:",0,0,'L');
$pdf->Cell(0,5,$info[madre_nombre],0,1,'L');
$pdf->Cell(40,5,"Dirección:",0,0,'L');
$pdf->Cell(0,5,$info[madre_direccion],0,1,'L');
$pdf->Cell(40,5,"Teléfono de casa:",0,0,'L');
$pdf->Cell(40,5,$info[madre_telefono],0,0,'L');
$pdf->Cell(40,5,"Teléfono móvil:",0,0,'L');
$pdf->Cell(40,5,$info[madre_telefonom],0,1,'L');
$pdf->Cell(40,5,"Lugar de trabajo:",0,0,'L');
$pdf->Cell(40,5,$info[madre_lugartrabajo],0,1,'L');
$pdf->Cell(40,5,"Teléfono:",0,0,'L');
$pdf->Cell(40,5,$info[madre_teltrabajo],0,0,'L');
$pdf->Cell(40,5,"Mail:",0,0,'L');
$pdf->Cell(40,5,$info[madre_mail],0,1,'L');
$pdf->Ln();

$pdf->Cell(180,5,"Información General de la persona encargada",1,1,'C');
$pdf->Cell(40,5,"Parentesco:",0,0,'L');
$pdf->Cell(0,5,$info[enc_parentesco],0,1,'L');
$pdf->Cell(40,5,"Nombre:",0,0,'L');
$pdf->Cell(0,5,$info[enc_nombre],0,1,'L');
$pdf->Cell(40,5,"Dirección:",0,0,'L');
$pdf->Cell(0,5,$info[enc_direccion],0,1,'L');
$pdf->Cell(40,5,"Teléfono de casa:",0,0,'L');
$pdf->Cell(40,5,$info[enc_telefono],0,0,'L');
$pdf->Cell(40,5,"Teléfono móvil:",0,0,'L');
$pdf->Cell(40,5,$info[enc_telefonom],0,1,'L');
$pdf->Cell(40,5,"Lugar de trabajo:",0,0,'L');
$pdf->Cell(40,5,$info[enc_lugartrabajo],0,1,'L');
$pdf->Cell(40,5,"Teléfono:",0,0,'L');
$pdf->Cell(40,5,$info[enc_teltrabajo],0,0,'L');
$pdf->Cell(40,5,"Mail:",0,0,'L');
$pdf->Cell(40,5,$info[enc_mail],0,1,'L');
$pdf->Ln();

$pdf->Cell(180,5,"En caso de emergencia o en ausencia de ambos padres",1,1,'C');
$pdf->Cell(40,5,"Parentesco:",0,0,'L');
$pdf->Cell(0,5,$info[emg_parentesco],0,1,'L');
$pdf->Cell(40,5,"Nombre:",0,0,'L');
$pdf->Cell(0,5,$info[emg_avisara],0,1,'L');
$pdf->Cell(40,5,"Dirección:",0,0,'L');
$pdf->Cell(0,5,$info[emg_direccion],0,1,'L');
$pdf->Cell(40,5,"Teléfono de casa:",0,0,'L');
$pdf->Cell(40,5,$info[emg_telefono],0,0,'L');
$pdf->Cell(40,5,"Teléfono móvil:",0,0,'L');
$pdf->Cell(40,5,$info[emg_telefonom],0,1,'L');
$pdf->Cell(40,5,"Lugar de trabajo:",0,0,'L');
$pdf->Cell(40,5,$info[emg_lugartrabajo],0,1,'L');
$pdf->Cell(40,5,"Teléfono:",0,0,'L');
$pdf->Cell(40,5,$info[emg_teltrabajo],0,1,'L');


//$pdf->Cell(180,5,$pdf->Write(5,"Nombres y Apellidos: ").$pdf->SetStyle("B",true).$pdf->Write(5,$info[nombre]." ".$info[apellido]).$pdf->SetStyle("B",false),0,1,'L');
// FIN DATOS GENERALES

$pdf->Output();
exit();
?>